<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

// theme settings
$body_text = "#dddddd";
$body_bg = "#425d7a";
$theme_width = "100%";

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' />");
define("THEME_BULLET2", "<span class='bullet2'>&middot;</span>");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

global $theme_width,$settings,$locale;

echo "
<table align='center' width='$theme_width' cellspacing='0' cellpadding='0' id='main'>
    <tr>
        <td>
            <table width='100%' cellpadding='0' cellspacing='0'>
                <tr>
                    <td class='bar-l'><img src='".THEME."images/blank.gif' width='9' height='13' alt='blank.gif' style='display:block' /></td>
                    <td class='bar-m'><img src='".THEME."images/blank.gif' width='1' height='13' alt='blank.gif' style='display:block' /></td>
                    <td class='bar-r'><img src='".THEME."images/blank.gif' width='9' height='13' alt='blank.gif' style='display:block' /></td>
                </tr>
            </table>
            
            <div style='margin:2px;'></div>
            
            <table width='100%' cellpadding='0' cellspacing='0' class='border'>
                <tr>
                    <td class='main-body'>
                        <table width='100%' cellspacing='0' cellpadding='0'>
                            <tr>
                                <td>".showbanners()."</td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
            
            <div style='margin:2px;'></div>
            
            <table width='100%' cellspacing='0' cellpadding='0' class='border'>
                <tr>
                    <td class='header1'>".showsublinks(" ".THEME_BULLET2." ", "white")."</td>
                    
                    <td align='right' class='header1'>".showsubdate()."</td>
                </tr>
            </table>
            
            <table width='100%' cellspacing='0' cellpadding='0'>
                <tr>\n";
if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
echo "
                </tr>
            </table>
            <table cellpadding='0' cellspacing='0' width='100%' class='border'>
                <tr>
                    <td class='header1'>".stripslashes($settings['footer'])."</td>
                </tr>
            </table>
            <table cellpadding='0' cellspacing='0' width='100%'>
                <tr>
                    <td align='center' class='header2'><br />
                    ".showcounter()."<br /><br />\n";
                    echo "Theme <b>Blade</b> by <a href='http://www.php-fusion.co.uk/' target='blank'>Nick Jones</a> | Converted to V7 by <a href='http://php-fusion.openworld.dk/' target='blank'>Harly</a><br /><br />";
                    echo showcopyright();

                    echo "
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>\n";

}


function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='cap-main-l'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "<td class='cap-main' style='white-space:nowrap'>$subject</td>\n";
	echo "<td class='cap-main-m'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "<td class='cap-main-2'><img src='".THEME."images/box_on.gif' width='7' height='14' alt='box_on.gif' /></td>\n";
	echo "<td class='cap-main-r'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "</tr>\n</table>\n";
	echo "<div style='margin:2px;'></div>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>\n<tr>\n";
	echo "<td class='main-body middle-border' style='width:100%;vertical-align:top;'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table>\n";
        echo "<div style='margin:8px;'></div>";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='cap-main-l'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "<td class='cap-main' style='white-space:nowrap'>$subject</td>\n";
	echo "<td class='cap-main-m'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "<td class='cap-main-2'><img src='".THEME."images/box_on.gif' width='7' height='14' alt='box_on.gif' /></td>\n";
	echo "<td class='cap-main-r'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>\n";
	echo "</tr>\n</table>\n";
	echo "<div style='margin:2px;'></div>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
        echo "<div style='margin:8px;'></div>";

}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0'>
    <tr>
        <td class='cap-main-l'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>
        <td class='cap-main' style='white-space:nowrap'>$title</td>
        <td class='cap-main-m'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>
        <td class='cap-main-2'><img src='".THEME."images/box_on.gif' width='7' height='14' alt='box_on.gif' /></td>
        <td class='cap-main-r'><img src='".THEME."images/blank.gif' width='9' height='20' alt='' style='display:block' /></td>
    </tr>
</table>
<div style='margin:2px;'></div>
<table width='100%' cellpadding='0' cellspacing='0' class='border'>
    <tr>
        <td class='main-body'>\n";

}

function closetable() {

echo "
        </td>
    </tr>
</table>\n";
echo "<div style='margin:8px;'></div>";

}

function openside($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;
$boxname = str_replace(" ", "", $title);

echo "
<table width='100%' cellpadding='0' cellspacing='0'>
    <tr>
        <td class='cap-main-l'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>
        <td class='cap-main' style='white-space:nowrap'>$title</td>
        <td class='cap-main-m'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>
        <td class='cap-main-2'><img src='".THEME."images/box_on.gif' width='7' height='14' alt='box_on.gif' /></td>
        ".($collapse ? "<td class='cap-main-2' width='7' height='14'>".panelbutton($state, $boxname)."</td>" : "")."
        <td class='cap-main-r'><img src='".THEME."images/blank.gif' width='9' height='20' alt='blank.gif' style='display:block' /></td>
    </tr>
</table>
    <div style='margin:2px;'></div>
    <table width='100%' cellpadding='0' cellspacing='0' class='border'>
        <tr>
            <td class='side-body'>\n";
if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
global $panel_collapse;

if ($panel_collapse == true) { echo "</div>\n"; }

echo "
            </td>
        </tr>
    </table>\n";
echo "<div style='margin:8px;'></div>";

}


?>
